<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* base.html.twig */
class __TwigTemplate_e76c437c390ca00af80a936bf268b415a4af81a5cea7fe804a40e25ec1d9aa30 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'stylesheets' => [$this, 'block_stylesheets'],
            'body' => [$this, 'block_body'],
            'javascripts' => [$this, 'block_javascripts'],
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 2
        echo "<!DOCTYPE html>
<html>
    <head>
        <meta charset=\"UTF-8\">
        <title>";
        // line 6
        $this->displayBlock('title', $context, $blocks);
        echo "</title>

        <meta name=\"viewport\" content=\"width=device-width, initial-scale=1, shrink-to-fit=no\">
        <link rel=\"stylesheet\" href=\"https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css\" integrity=\"sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T\" crossorigin=\"anonymous\">
        <link rel=\"stylesheet\" href=\"/styles/main.css\" />
        ";
        // line 11
        $this->displayBlock('stylesheets', $context, $blocks);
        // line 12
        echo "    </head>
    <body>
        <div id=\"header\">A</div>
        <div id=\"wrapper\">
            <div id=\"menu\" class=\"col\">
                <ul>
                    ";
        // line 18
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["menu"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["item"]) {
            // line 19
            echo "                        ";
            $context["target"] = ((twig_get_attribute($this->env, $this->source, $context["item"], "target", [], "any", true, true, false, 19)) ? (twig_get_attribute($this->env, $this->source, $context["item"], "target", [], "any", false, false, false, 19)) : (""));
            // line 20
            echo "
                        <li>
                            ";
            // line 22
            if ( !twig_test_empty(twig_get_attribute($this->env, $this->source, $context["item"], "url", [], "any", false, false, false, 22))) {
                // line 23
                echo "                                <a href=\"";
                echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["item"], "url", [], "any", false, false, false, 23), "html", null, true);
                echo "\" target=\"";
                echo twig_escape_filter($this->env, ($context["target"] ?? null), "html", null, true);
                echo "\">
                            ";
            }
            // line 25
            echo "                                ";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, $context["item"], "text", [], "any", false, false, false, 25), "html", null, true);
            echo "
                            ";
            // line 26
            if ( !twig_test_empty(twig_get_attribute($this->env, $this->source, $context["item"], "url", [], "any", false, false, false, 26))) {
                // line 27
                echo "                                </a>
                            ";
            }
            // line 29
            echo "                        </li>

                        ";
            // line 31
            if (twig_get_attribute($this->env, $this->source, $context["item"], "after", [], "any", true, true, false, 31)) {
                // line 32
                echo "                            ";
                if (0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["item"], "after", [], "any", false, false, false, 32), "submenu_open")) {
                    echo " <ul> ";
                }
                // line 33
                echo "                            ";
                if (0 === twig_compare(twig_get_attribute($this->env, $this->source, $context["item"], "after", [], "any", false, false, false, 33), "submenu_close")) {
                    echo " </ul> ";
                }
                // line 34
                echo "                        ";
            }
            // line 35
            echo "                    ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['item'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 36
        echo "                </ul>
            </div>
            <div id=\"main\">
                ";
        // line 39
        $this->loadTemplate("flashbag.html.twig", "base.html.twig", 39)->display($context);
        // line 40
        echo "                ";
        $this->displayBlock('body', $context, $blocks);
        // line 41
        echo "            </div>
        </div>
        <div id=\"footer\">B</div>

        <script src=\"https://code.jquery.com/jquery-3.3.1.slim.min.js\" integrity=\"sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo\" crossorigin=\"anonymous\"></script>
        <script src=\"https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js\" integrity=\"sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1\" crossorigin=\"anonymous\"></script>
        <script src=\"https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js\" integrity=\"sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM\" crossorigin=\"anonymous\"></script>
        ";
        // line 48
        $this->displayBlock('javascripts', $context, $blocks);
        // line 49
        echo "    </body>
</html>
";
    }

    // line 6
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "Welcome!";
    }

    // line 11
    public function block_stylesheets($context, array $blocks = [])
    {
        $macros = $this->macros;
    }

    // line 40
    public function block_body($context, array $blocks = [])
    {
        $macros = $this->macros;
    }

    // line 48
    public function block_javascripts($context, array $blocks = [])
    {
        $macros = $this->macros;
    }

    public function getTemplateName()
    {
        return "base.html.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  168 => 48,  162 => 40,  156 => 11,  149 => 6,  143 => 49,  141 => 48,  132 => 41,  129 => 40,  127 => 39,  122 => 36,  116 => 35,  113 => 34,  108 => 33,  103 => 32,  101 => 31,  97 => 29,  93 => 27,  91 => 26,  86 => 25,  78 => 23,  76 => 22,  72 => 20,  69 => 19,  65 => 18,  57 => 12,  55 => 11,  47 => 6,  41 => 2,);
    }

    public function getSourceContext()
    {
        return new Source("", "base.html.twig", "C:\\xampp\\htdocs\\symfony\\templates\\base.html.twig");
    }
}
