<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* security/login.html.twig */
class __TwigTemplate_5e64daa80e8e1840601e02db2a83fbc113e6cf05a4b820159f3845f67e37d8a0 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->blocks = [
            'title' => [$this, 'block_title'],
            'body' => [$this, 'block_body'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 2
        return "base.html.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        $this->parent = $this->loadTemplate("base.html.twig", "security/login.html.twig", 2);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 4
    public function block_title($context, array $blocks = [])
    {
        $macros = $this->macros;
        echo "Log in!";
    }

    // line 6
    public function block_body($context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 7
        echo "    ";
        if (($context["authError"] ?? null)) {
            // line 8
            echo "        <p style=\"color:red; font-weight: bold\">LOGIN ERROR: ";
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["authError"] ?? null), "message", [], "any", false, false, false, 8), "html", null, true);
            echo "</p>
    ";
        }
        // line 10
        echo "
    ";
        // line 11
        if ($this->extensions['Symfony\Bridge\Twig\Extension\SecurityExtension']->isGranted("IS_AUTHENTICATED_REMEMBERED")) {
            // line 12
            echo "        <p>LOGGED IN!!!</p>
        ";
            // line 13
            if ($this->extensions['Symfony\Bridge\Twig\Extension\SecurityExtension']->isGranted("ROLE_ADMIN")) {
                // line 14
                echo "            <p>YOU ARE A HIGH LEVEL ADMINISTRATOR...</p>
        ";
            }
            // line 16
            echo "
        <p>User entity in Twig: ";
            // line 17
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["app"] ?? null), "user", [], "any", false, false, false, 17), "html", null, true);
            echo "</p>
        <p>User entity from the controller: ";
            // line 18
            echo twig_escape_filter($this->env, twig_get_attribute($this->env, $this->source, ($context["myUser"] ?? null), "username", [], "any", false, false, false, 18), "html", null, true);
            echo "</p>

        <p><a href=\"";
            // line 20
            echo $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("app_logout");
            echo "\">LOG OUT</a></p>
        <p><a href=\"";
            // line 21
            echo $this->extensions['Symfony\Bridge\Twig\Extension\RoutingExtension']->getPath("protected_content");
            echo "\">PROTECTED SECTION</a></p>
    ";
        } else {
            // line 23
            echo "        <p>NOT LOGGED IN!!!</p>
        ";
            // line 24
            if (( !(null === ($context["form"] ?? null)) &&  !twig_test_empty(($context["form"] ?? null)))) {
                // line 25
                echo "            <div style=\"width: 400px;padding: 20px\">
                ";
                // line 26
                $this->env->getRuntime("Symfony\\Component\\Form\\FormRenderer")->setTheme(($context["form"] ?? null), [0 => "bootstrap_4_layout.html.twig"], true);
                // line 27
                echo "                ";
                echo                 $this->env->getRuntime('Symfony\Component\Form\FormRenderer')->renderBlock(($context["form"] ?? null), 'form_start');
                echo "
                ";
                // line 28
                echo $this->env->getRuntime('Symfony\Component\Form\FormRenderer')->searchAndRenderBlock(($context["form"] ?? null), 'widget');
                echo "
                ";
                // line 29
                echo                 $this->env->getRuntime('Symfony\Component\Form\FormRenderer')->renderBlock(($context["form"] ?? null), 'form_end');
                echo "
            </div>
        ";
            }
            // line 32
            echo "    ";
        }
    }

    public function getTemplateName()
    {
        return "security/login.html.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  127 => 32,  121 => 29,  117 => 28,  112 => 27,  110 => 26,  107 => 25,  105 => 24,  102 => 23,  97 => 21,  93 => 20,  88 => 18,  84 => 17,  81 => 16,  77 => 14,  75 => 13,  72 => 12,  70 => 11,  67 => 10,  61 => 8,  58 => 7,  54 => 6,  47 => 4,  36 => 2,);
    }

    public function getSourceContext()
    {
        return new Source("", "security/login.html.twig", "C:\\xampp\\htdocs\\symfony\\templates\\security\\login.html.twig");
    }
}
